curl --request POST \
--url https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/storage_locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"latitude": 51.5072,
"longitude": -0.1276,
"name": "<string>",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"description": {
"__typename": "Undefined"
},
"storage_method": {
"__typename": "Undefined"
},
"supplier_reference_id": {
"__typename": "Undefined"
}
}
'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/storage_locations"
payload = {
"latitude": 51.5072,
"longitude": -0.1276,
"name": "<string>",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"description": { "__typename": "Undefined" },
"storage_method": { "__typename": "Undefined" },
"supplier_reference_id": { "__typename": "Undefined" }
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
latitude: 51.5072,
longitude: -0.1276,
name: '<string>',
project_id: 'prj_1CTWZQGKE1S0VAXA',
description: {__typename: 'Undefined'},
storage_method: {__typename: 'Undefined'},
supplier_reference_id: {__typename: 'Undefined'}
})
};
fetch('https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/storage_locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "slc_1F3PMGVC91S0SBK3",
"name": "<string>",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"storage_method": "biochar_field",
"supplier_id": "spl_1CC712KFS1S0YKPS",
"description": "<string>",
"latitude": 51.5072,
"longitude": -0.1276,
"supplier_reference_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Post Storage Location
Creates a storage location for a project in the Isometric system.
This endpoint is in beta and requires opting-in.
Please contact support if you’re interested in using this endpoint.Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
20 - 37"prj_1CTWZQGKE1S0VAXA"
"prj_1E0QTWB22SBX34D1"
Body
A WGS84 latitude in decimal degrees, between -90 and 90.
-90 <= x <= 9051.5072
-33.8688
A WGS84 longitude in decimal degrees, between -180 and 180.
-180 <= x <= 180-0.1276
151.2093
The name of the storage location. Must be at most 100 characters long.
10020 - 37"prj_1CTWZQGKE1S0VAXA"
"prj_1E0QTWB22SBX34D1"
biochar_field, biochar_landfill, permeable_reservoir, biomass_subsurface, salt_cavern, saline_aquifer, in_situ_mineralization, depleted_hydrocarbon_reservoir A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200Response
Successful Response
20 - 37"slc_1F3PMGVC91S0SBK3"
"slc_1DCY5K78BSBX3XMZ"
The name of the storage location
100The ID of the project this storage location belongs to
20 - 37"prj_1CTWZQGKE1S0VAXA"
"prj_1E0QTWB22SBX34D1"
The method of storage by the storage location
biochar_field, biochar_landfill, permeable_reservoir, biomass_subsurface, salt_cavern, saline_aquifer, in_situ_mineralization, depleted_hydrocarbon_reservoir The ID of the supplier this storage location belongs to
20 - 37"spl_1CC712KFS1S0YKPS"
"spl_1FJBMMGR3SBXKDME"
Optional description of the storage location
A WGS84 latitude in decimal degrees, between -90 and 90.
-90 <= x <= 9051.5072
A WGS84 longitude in decimal degrees, between -180 and 180.
-180 <= x <= 180-0.1276
A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 100Was this page helpful?